devops: move check_cdn to tools

This commit is contained in:
Andrey Lushnikov 2019-11-20 10:31:26 -08:00
parent f9d2f13540
commit af0ba0e713
5 changed files with 9 additions and 9 deletions

View file

@ -6,7 +6,7 @@ trap "cd $(pwd -P)" EXIT
cd "$(dirname "$0")" cd "$(dirname "$0")"
if [[ ($1 == '--help') || ($1 == '-h') ]]; then if [[ ($1 == '--help') || ($1 == '-h') ]]; then
echo "usage: do_something.sh [firefox|webkit]" echo "usage: $(basename $0) [firefox|webkit]"
echo echo
echo "Produces a browser checkout ready to be built." echo "Produces a browser checkout ready to be built."
echo echo
@ -15,7 +15,7 @@ fi
if [[ $# == 0 ]]; then if [[ $# == 0 ]]; then
echo "missing browser: 'firefox' or 'webkit'" echo "missing browser: 'firefox' or 'webkit'"
echo "try './do_something.sh --help' for more information" echo "try './$(basename $0) --help' for more information"
exit 1 exit 1
fi fi
@ -40,7 +40,7 @@ elif [[ ("$1" == "webkit") || ("$1" == "webkit/") ]]; then
REMOTE_URL="" REMOTE_URL=""
REMOTE_URL="https://github.com/webkit/webkit" REMOTE_URL="https://github.com/webkit/webkit"
else else
echo ERROR: unknown browser to export - "$1" echo ERROR: unknown browser - "$1"
exit 1 exit 1
fi fi

View file

@ -1,7 +1,7 @@
#!/bin/bash #!/bin/bash
if [[ ("$1" == "-h") || ("$1" == "--help") ]]; then if [[ ("$1" == "-h") || ("$1" == "--help") ]]; then
echo "usage: $0" echo "usage: $(basename $0)"
echo echo
echo "Generate distributable .zip archive from ./checkout folder that was previously built." echo "Generate distributable .zip archive from ./checkout folder that was previously built."
echo echo

View file

@ -3,7 +3,7 @@ set -e
set +x set +x
if [[ ($1 == '--help') || ($1 == '-h') ]]; then if [[ ($1 == '--help') || ($1 == '-h') ]]; then
echo "usage: $0 [revision-to-start]" echo "usage: $(basename $0) [revision-to-start]"
echo echo
echo "List CDN status for browser revisions" echo "List CDN status for browser revisions"
echo "Pass optional |revision-to-start| to limit revision search" echo "Pass optional |revision-to-start| to limit revision search"
@ -42,11 +42,11 @@ cd "$(dirname "$0")"
FFOX_REVISION=$(cat firefox/BUILD_NUMBER) FFOX_REVISION=$(cat firefox/BUILD_NUMBER)
WK_REVISION=$(cat webkit/BUILD_NUMBER) WK_REVISION=$(cat webkit/BUILD_NUMBER)
# Read start revision if there's any.
REVISION=$FFOX_REVISION REVISION=$FFOX_REVISION
if (( FFOX_REVISION < WK_REVISION )); then if (( FFOX_REVISION < WK_REVISION )); then
REVISION=$WK_REVISION REVISION=$WK_REVISION
fi fi
# Read start revision if there's any.
if [[ $# == 1 ]]; then if [[ $# == 1 ]]; then
REVISION=$1 REVISION=$1
fi fi

View file

@ -6,7 +6,7 @@ trap "cd $(pwd -P)" EXIT
cd "$(dirname "$0")" cd "$(dirname "$0")"
if [[ ($1 == '--help') || ($1 == '-h') ]]; then if [[ ($1 == '--help') || ($1 == '-h') ]]; then
echo "usage: $0 [firefox|webkit]" echo "usage: $(basename $0) [firefox|webkit]"
echo echo
echo "Archive and upload a browser" echo "Archive and upload a browser"
echo echo
@ -17,7 +17,7 @@ fi
if [[ $# == 0 ]]; then if [[ $# == 0 ]]; then
echo "missing browser: 'firefox' or 'webkit'" echo "missing browser: 'firefox' or 'webkit'"
echo "try '$0 --help' for more information" echo "try '$(basename $0) --help' for more information"
exit 1 exit 1
fi fi

View file

@ -1,7 +1,7 @@
#!/bin/bash #!/bin/bash
if [[ ("$1" == "-h") || ("$1" == "--help") ]]; then if [[ ("$1" == "-h") || ("$1" == "--help") ]]; then
echo "usage: $0" echo "usage: $(basename $0)"
echo echo
echo "Generate distributable .zip archive from ./checkout folder that was previously built." echo "Generate distributable .zip archive from ./checkout folder that was previously built."
echo echo